EnTT: entt::as_group< Registry > Class Template Reference

EnTT 3.16.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
entt::as_group< Registry > Class Template Reference

Converts a registry to a group. More...

`#include <helper.hpp>`

## Public Types
using | registry_type = Registry
| Type of registry to convert.
using | entity_type = typename registry_type::entity_type
| Underlying entity identifier.

## Public Member Functions
| as_group (registry_type &source) noexcept
| Constructs a converter for a given registry.
template<typename Owned, typename Get, typename Exclude>
| operator basic_group< Owned, Get, Exclude > () const
| Conversion function from a registry to a group.

## Detailed Description

template<typename Registry>
class entt::as_group< Registry >

Converts a registry to a group.

Template Parameters

  Registry | Basic registry type.

Definition at line 61 of file helper.hpp.

## Member Typedef Documentation

## ◆ entity_type

template<typename Registry>

using entt::as_group< Registry >::entity_type = typename registry_type::entity_type

Underlying entity identifier.

Definition at line 75 of file helper.hpp.

## ◆ registry_type

template<typename Registry>

using entt::as_group< Registry >::registry_type = Registry

Type of registry to convert.

Definition at line 73 of file helper.hpp.

## Constructor & Destructor Documentation

## ◆ as_group()

template<typename Registry>

entt::as_group< Registry >::as_group | ( | registry_type & | source | ) |
| inlinenoexcept

Constructs a converter for a given registry.

Parameters

  source | A valid reference to a registry.

Definition at line 81 of file helper.hpp.

## Member Function Documentation

## ◆ operator basic_group< Owned, Get, Exclude >()

template<typename Registry>
template<typename Owned, typename Get, typename Exclude>

entt::as_group< Registry >::operator basic_group< Owned, Get, Exclude > | ( |  | ) | const
| inline

Conversion function from a registry to a group.

Template Parameters

  Owned | Types of owned by the group.
  Get | Types of storage observed by the group.
  Exclude | Types of storage used to filter the group.

Returns
  A newly created group.

Definition at line 92 of file helper.hpp.

The documentation for this class was generated from the following file:

- src/entt/entity/helper.hpp